approx.h File Reference

Deprecated header for managing floating-point roundoff errors. More...

`#include "regina-core.h"`

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Functions

template<class R >
bool | regina::isZero (R x)
| Deprecated routine for managing floating-point roundoff errors. More...
template<class R >
bool | regina::isNonZero (R x)
| Deprecated routine for managing floating-point roundoff errors. More...
template<class R >
bool | regina::isPositive (R x)
| Deprecated routine for managing floating-point roundoff errors. More...
template<class R >
bool | regina::isNegative (R x)
| Deprecated routine for managing floating-point roundoff errors. More...
template<class R >
bool | regina::isNonNegative (R x)
| Deprecated routine for managing floating-point roundoff errors. More...
template<class R >
bool | regina::isNonPositive (R x)
| Deprecated routine for managing floating-point roundoff errors. More...

## Variables

const double | regina::epsilon
| Deprecated constant for managing floating-point roundoff errors. More...

## Detailed Description

Deprecated header for managing floating-point roundoff errors.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).